var RegExps = {
	Email: /^\w+([-+.]\w+)*@\w+([-.]\\w+)*\.\w+([-.]\w+)*$/,
	Mobile: /^0?1[3|4|5|8][0-9]\d{8}$/,
	Url: /^http:\/\/[A-Za-z0-9]+\.[A-Za-z0-9]+[\/=\?%\-&_~`@[\]\’:+!]*([^<>\"\"])*$/,
	IdCard: /^\d{15}(\d{2}[A-Za-z0-9])?$/,
	Currency: /^\d+(\.\d+)?$/,
	Number: /^\d+$/,
	Zip: /^[1-9]\d{5}$/,
	QQ: /^[1-9]\d{4,8}$/,
	Integer: /^[-\+]?\d+$/,
	English: /^[A-Za-z]+$/,
	Chinese: /^[\Α-\￥]+$/
};