var deps = ['H5PModules/Ajax', 'H5PModules/Storage', 'H5Modules/TemplateHelper', 'H5PModules/ValiLogin', 'H5PModules/Pay', 'DownloadBank',
	'../libs/mui.min', '../libs/jquery.min', '../libs/underscore-1.8.2'
];
define(deps, function(Ajax, Storage, template, valiLogin, Pay, DownloadBank) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		var packageDate = "";
		var serverData;
		var self = plus.webview.currentWebview();
		var indexPage = plus.webview.getLaunchWebview();
		var opts = self.opts;
		var user = Storage.getObj('user');


		dlPackage();

		var pageNumber = 1;
		var isEnd = false;
		$("#detail-ctn").on("touchend",".scroll",function() {
			if(isEnd){
				return;
			}
			if ($(".scroll").scrollTop() + $(".scroll").height() >= $(".scroll>.warp").height()) {
				plus.nativeUI.showWaiting("加载更多...");
				getComments(pageNumber+1,function(data){
					if(data.entity.length == 0){
						mui.toast("没有了");
						isEnd = true;
					}else{
						isEnd = false;
						pageNumber++;
					}
				});
			}
		});


		/**
		 * 回复
		 * @param {Object} stId
		 * @param {Object} rcontent
		 */
		function addComments(stId, rcontent) {
			plus.nativeUI.showWaiting("提交中...");
			Ajax.send("bbs/replys/addReplys.do", {
				userId: user.id,
				numb: $('.comment').find("li").length,
				stId: stId,
				rcontent: rcontent,
				sectionId: 3
			}, function(data) {
				plus.nativeUI.closeWaiting();
				if (data.ret_code == 0) {
					var obj = {
						nickName: user.nickName,
						rcontent: data.entity.rcontent,
						headimg: data.entity.img,
						createdate: data.entity.createdate
					};
					var html = template("comment-li-tp", obj);
					$(".comment").find("ul").prepend(html);
					$('#commentText').val("");
				} else {
					console.log(data.fail_desc);
					plus.nativeUI.alert(data.fail_desc, function() {}, '壹块过');
				}
			});
		}

		function dlPackage() {
			Ajax.send('AppServer/tpackage/dlPackage.do', {
				id: opts.id,
				memberId: user.id
			}, function(data) {
				if (data.success) {
					getComments(1);
					var html = template('detail-tp', data.list);
					packageDate = data.list;
					$('#detail-ctn').html(html);
					//本地是否已经有
					var pid = data.list.id;
					if (plus.storage.getItem('Bank-' + user.id + '-' + pid + '-titles')) {
						$(".downIt").hide();
						$("#c_inputbox").show();
						//发布回复按钮事件
						$('#addComment').on("tap", function() {
							var commentText = $('#commentText').val();
							if (commentText.trim() == "") {
								plus.nativeUI.alert("回复内容不能为空！", function() {}, '壹块过');
							} else {
								addComments(opts.id, commentText);
							}
						});
					} else {
						//点击下载
						$('#downIt').on('tap', function() {
							downIt(data);
						});
					}
				} else {
					plus.nativeUI.alert('获取失败!', function() {
						mui.back();
					}, '壹块过');
				}
			});

		}


		function getComments(pageNumber,callback) {
			Ajax.send("bbs/replys/seeReplys.do", {
				pageSize: 10,
				pageNumber: pageNumber,
				sectionId: 3, //板块ID,固定
				stId: opts.id
			}, function(data) {
				plus.nativeUI.closeWaiting();
				if (data.ret_code == 0) {
					var html = template("comment-tp", data);
					$("#comment ul").append(html);
					if(pageNumber == 1 && data.total == 0){
						$("#comment").hide();
						$("#detail-ctn").off("touchend");
					}
				}
				if(callback){
					callback(data);
				}
			});
		}

		function downIt(data) {
			if (!valiLogin()) {
				return;
			}
			if (user.mobile == "15951039621" || user.mobile == "18795959254" || user.qq == '458100260') {
				downPackeg(data);
				return;
			}
			if (user.mobile == "13813994665" || user.mobile == "15050533525") {
				packageDate.pPrice = 0.01;
			}
			if (data.list.downLoaded == 1 || data.list.downLoaded == 2) {
				downPackeg(data);
				return;
			}
			if (packageDate.pPrice == 0 || packageDate.pPrice == '0.00') {
				downPackeg(data);
			} else {
				var order = {
					productId: packageDate.id, //题包ID
					productName: packageDate.title, // 机构+ 题包名称
					productType: 2,
					price: packageDate.pPrice, //0.01,//
					tradeCount: 1,
					memberId: user.id,
					orgId: packageDate.orgId //机构ID
				};

				//去支付选择页面
				mui.openWindow({
					url: '../pages/p-payChoose.html',
					id: 'payChoose',
					extras: {
						packData: data,
						productName: order.productName,
						price: order.price,
						order: order
					}
				});

			}
		}

		window.addEventListener('downPackeg', function(e) {
			downPackeg(e.detail.data);
		});

		function downPackeg(data) {
			var user = Storage.getObj('user');
			//插入已支付记录
			console.log('data.list.downLoaded:' + data.list.downLoaded);
			if (data.list.downLoaded != 2) {
				//1已付款  2已经有下载记录
				Ajax.send('AppServer/tpackage/insertDownLoad.do', {
					memberId: user.id,
					id: data.list.id
				}, function(data) {
					console.log('insertDownLoad:' + data.status);
				});
			}
			var w = plus.nativeUI.showWaiting("下载中，请等待...", {
				back: 'none'
			});
			DownloadBank.do(data.serverPath + data.list.packagePath, opts.id, function() {
				plus.nativeUI.showWaiting('处理中...');
				var BankIndex = Storage.getObj('BankIndex-' + user.id);
				if (BankIndex == null) {
					BankIndex = [];
				}
				//判断是不是存在这个题库的索引
				var index = false;
				for (var i = 0; i < BankIndex.length; i++) {
					if (BankIndex[i].id == data.list.id) {
						console.log('存在记录:' + i);
						index = i;
						break;
					}
				}
				//如果不存在就push新的,存在就复写
				//这里必须用===,因为0==false返回true
				if (index === false) {
					console.log('push');
					BankIndex.push(data.list);
				} else {
					console.log('rewrite');
					BankIndex[index] = data.list;
				}
				Storage.setObj('BankIndex-' + user.id, BankIndex);
				plus.storage.setItem('NowBank-' + user.id, data.list.id.toString());

				mui.fire(indexPage, 'change2criticism');
				if (!!plus.webview.getWebviewById('criticism')) {
					mui.fire(plus.webview.getWebviewById('criticism'),"dorefresh");
				}
				var myQBank = plus.webview.getWebviewById('myQBank');
				if (!!myQBank) {
					mui.fire(myQBank,"dorefresh");
				}
				plus.nativeUI.closeWaiting();
				plus.nativeUI.alert('下载完成!', function() {
					mui.back();
				}, "壹块过");
			}, function(download) {
				var loadSize = download.downloadedSize; //已完成下载文件的大小
				var totalSize = download.totalSize; //下载任务文件的总大小
				var n = (loadSize / totalSize * 100).toFixed(0);
				if (loadSize == 0) {
					n = 0;
				}
				if (n % 10 == 0) {
					w.setTitle("下载中，请等待...\n" + n + "%");
				}
			});

		}

	});
});