var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/RegExps',
	'../libs/mui.min', '../libs/jquery.min'
];
define(deps, function(Ajax, Storage) {
	mui.plusReady(function() {

		var self = plus.webview.currentWebview();
		var memberId = self.data.list.id;
		$('#nickname').val(self.data.list.nickName);


		$('#doEdit').on('tap', doEdit);
		$('#getCode').on('tap', getCode);

		function doEdit() {
			var bindMobile = $('#mobile').val();
			var code = $('#codeInput').val();
			if (bindMobile.trim() == '') {
				plus.nativeUI.alert('请输入手机号', function() {}, '壹块过');
			} else if (!RegExps.Mobile.test(bindMobile.trim())) {
				plus.nativeUI.alert('手机号码格式有误', function() {}, '壹块过');
			}else if(code.trim() == ''){
				plus.nativeUI.alert("请输入验证码", function() {}, '壹块过');
			}else{
				plus.nativeUI.showWaiting();
				valiCode(function(flag) {
					plus.nativeUI.closeWaiting();
					if (flag) {
						bindMobileF(memberId, bindMobile);
					}
				});
			}
			
		}


		function bindMobileF(memberId, bindMobile) {
			Ajax.send('AppServer/member/bindMemberMobile.do', {
				memberId: memberId,
				bindMobile: bindMobile
			}, function(data) {
				if (data.status == 126) {
					self.data.list.bindMobile = bindMobile;
					mui.fire(plus.webview.getWebviewById("login"), "processUserData", self.data);
					self.close();
				}
			});
		}


		function getCode() {
			var obj = {
				mobile: $('#mobile').val()
			};
			if (obj.mobile.trim() == '') {
				plus.nativeUI.alert('手机号码为空', function() {}, '壹块过');
			} else if (!RegExps.Mobile.test(obj.mobile.trim())) {
				plus.nativeUI.alert('手机号码格式有误', function() {}, '壹块过');
			} else {
				plus.nativeUI.showWaiting();
				Ajax.send('AppServer/home/sms.do', {
					operateType: "3", //1：注册 2、修改密码 3.绑定手机
					smsType: 0, //0:发送 1:匹配 2:删除
					mobile: $('#mobile').val()
				}, function(data) {
					plus.nativeUI.closeWaiting();
					if (data.status == 9) {
						plus.nativeUI.alert('手机号码为空!', function() {}, '壹块过');
					} else if (data.status == 10) {
						plus.nativeUI.alert('发送失败!', function() {}, '壹块过');
					} else if (data.status == 11) {
						$('#getCode').off('tap');
						var sec = 120;
						var $getCode = $('#getCode');
						var i = setInterval(function() {
							$getCode.text(sec);
							if (sec == 0) {
								clearInterval(i);
								$getCode.text('获取验证码');
								$('#getCode').on('tap', getCode);
							} else {
								sec--;
							}
						}, 1000);
						plus.nativeUI.alert('发送成功!', function() {}, '壹块过');

					} else if (data.status == 12) {
						plus.nativeUI.alert('匹配成功!', function() {}, '壹块过');
					} else if (data.status == 13) {
						plus.nativeUI.alert('匹配失败!', function() {}, '壹块过');
					} else if (data.status == 14) {
						plus.nativeUI.alert('验证码失效!', function() {}, '壹块过');
					} else if (data.status == 15) {
						plus.nativeUI.alert('没有此验证码信息!', function() {}, '壹块过');
					} else if (data.status == 101) {
						plus.nativeUI.alert('手机账号已注册!', function() {}, '壹块过');
					} else if(data.status == 127){
						plus.nativeUI.alert('手机号已绑定第三方登录', function() {}, '壹块过');
					}
				});
			}
		}


		/**
		 * 验证验证码
		 * @param {Object} callback
		 */
		function valiCode(callback) {
			Ajax.send('AppServer/home/sms.do', {
				smsType: 1, //0:发送 1:匹配 2:删除
				mobile: $('#mobile').val(),
				code: $('#codeInput').val()
			}, function(data) {
				var flag = false;
				if (data.status == 9) {
					plus.nativeUI.alert('手机号为空!', function() {}, '壹块过');
				} else if (data.status == 10) {
					//					plus.nativeUI.alert('发送失败!', function() {}, '壹块过');
				} else if (data.status == 11) {
					//					plus.nativeUI.alert('发送成功!', function() {}, '壹块过');
				} else if (data.status == 12) {
					//					plus.nativeUI.alert('匹配成功!', function() {}, '壹块过');
					flag = true;
				} else if (data.status == 13) {
					plus.nativeUI.alert('匹配失败!', function() {}, '壹块过');
				} else if (data.status == 14) {
					plus.nativeUI.alert('验证码失效!', function() {}, '壹块过');
				} else if (data.status == 15) {
					plus.nativeUI.alert('没有此验证码信息!', function() {}, '壹块过');
				} else if(data.status == 127){
					plus.nativeUI.alert('手机号已绑定第三方登录', function() {}, '壹块过');
				}
				callback(flag);
			});
		}




	});
});