var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template', 'HTMLs', 'H5PModules/Location',
	'../libs/mui.min', '../libs/jquery.min'
]
define(deps, function(Ajax, Storage, template, HTMLs, Location) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		Ajax.send('AppServer/home/loadArea.do', {
			areaId: 1
		}, function(data) {
			if (data.success) {
				var html = template('tp', data);
				$('#ctn').html(html);
			}
			plus.nativeUI.closeWaiting();
		});

		$('#ctn').on('tap', '.item', function() {
			var p = $(this).find('a').text();
			if(p == '使用定位'){
				Location.get(true);
			}else{
				var cLocation = {
					address:{
						province:p
					},
					addresses:''
				};
				Storage.setObj('location',cLocation);
				var target = plus.webview.getWebviewById('main');
				mui.fire(target,'changeLocation',cLocation.address.province);
			}
			mui.back();
		});


	});
});