var deps = ['H5PModules/Ajax', 'H5PModules/Storage', 'H5Modules/TemplateHelper',
	'../libs/mui.min', '../libs/jquery.min', '../libs/RegExps'
];
define(deps, function(Ajax, Storage, template) {
	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		var subjectId = self.activeId;
		var user = Storage.getObj("user");
		var packid = plus.storage.getItem('NowBank-' + user.id);

		getData(subjectId, packid);

		function getData(subjectId, packid) {
			plus.nativeUI.showWaiting("获取中...");
			Ajax.send("AppServer/memberExam/findExamTopList.do", {
				subjectId: subjectId,
				packid: packid,
				topCount:100
			}, function(data) {
				plus.nativeUI.closeWaiting();
				if (data.success) {
					var html = template("pageTp", data);
					$('#pageCt').html(html);
				} else {
					console.log(JSON.stringify(data));
				}
			});
		}

	});
});