var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template', 'H5PModules/Share',
	'H5PModules/ValiLogin', '../libs/mui.min', '../libs/jquery.min'
];

define(deps, function(Ajax, Storage, template, Share, valiLogin) {
	mui.plusReady(function() {
		Share.init();
		var self = plus.webview.currentWebview();
		var parent = self.parent();
		var opts = parent.opts;
		var certName = parent.certName;

		var zsData = Storage.getObj('zsData');
		zsData.opts = opts;
		var html = template('tp', zsData);
		$('#ctn').html(html);

		//代报名
		$('#ctn').on('tap', '#doAgent', function() {
			if (valiLogin()) {
				mui.openWindow({
					url: '../pages/p-find-detail-list-baoming-dbm.html',
					id: 'find-detail-list-baoming-dbm',
					extras: {
						opts: opts,
						name: zsData.list.name
					}
				});
			}
		});

		//分享
		$('#ctn').on('tap', '.shareBtn', function(){
			var $self = $(this);
			if(valiLogin()){
				processShare($self);
			}
		});

		function processShare($self) {
			var user = Storage.getObj("user");
			var serverPath = plus.storage.getItem('serverPath');
			var type = $self.data('type');
			var view = $self.data('view');
			//“sinaweibo”表示新浪微博、“tencentweibo”表示腾讯微博、“weixin”表示微信、“qq”表示腾讯QQ。
			var infoList = {
				title: '壹块过 - 自主报名',
				content: opts.areaName + " - " + certName + " - 报名信息",
				href: serverPath + '/AppServer/jobCert/findCertModel.do?certId=' + opts.certId + '&areaName=' + encodeURI(opts.areaName) + "&memberId=" + user.id + "&time=" + new Date().getTime()
			};
			if (type == 'weixin') {
				infoList.extra = {
					scene: view
				};
			}
			plus.nativeUI.showWaiting();
			setTimeout(function() {
				plus.nativeUI.closeWaiting();
			}, 1000);
			Share.shareAction(type, infoList);

		}

	});
});