var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/jquery.min', '../libs/mui.min']

define(deps, function(Ajax, Storage) {
	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		$('.my-top-nav .title').text(self.certName);
		var user = Storage.getObj('user');
		var certId = self.opts.certId;
		var pageArr = [{
				url: 'p-find-detail-list-zongshu.html',
				id: 'find-detail-list-zongshu'
			},
			//  {
			//		url: 'p-find-detail-list-koubei.html',
			//		id: 'find-detail-list-koubei'
			//	},
			{
				url: 'p-find-detail-list-baoming.html',
				id: 'find-detail-list-baoming'
			}, {
				url: 'p-find-detail-list-tiku.html',
				id: 'find-detail-list-tiku'
			}, {
				url: 'p-find-detail-list-kaoshi.html',
				id: 'find-detail-list-kaoshi'
			}, {
				url: 'p-find-detail-list-jigou.html',
				id: 'find-detail-list-jigou'
			}
			//	{
			//		url: 'p-find-detail-list-luntan.html',
			//		id: 'find-detail-list-luntan'
			//	}, 
		];

		initRender();
		events();

		//是否关注?
		if (!!user) {
			Ajax.send('AppServer/member/isFollowed.do', {
				certId: certId,
				careType: 2, //证书2 机构1
				memberId: user.id
			}, function(data) {
				if (data.status == 106) {
					$("#doFav").addClass('active');
				}
			});
		}


		function initRender() {
			var wv = plus.webview.create('p-find-detail-list-zongshu.html', 'find-detail-list-zongshu', {
				top: '84px',
				bottom: "0px"
			});
			self.append(wv);
		}

		/**
		 * 显示
		 * @param {Object} index
		 */
		function showWV(index) {
			if (plus.webview.getWebviewById(pageArr[index].id) == undefined) {
				var wv = plus.webview.create(pageArr[index].url, pageArr[index].id, {
					top: '84px',
					bottom: "0px"
				});
				self.append(wv);
			} else {
				plus.webview.show(pageArr[index].id);
			}
		}

		function events() {
			$('.navBar .span5').on('tap', function() {
				$('.navBar .span5').removeClass('active');
				$(this).addClass('active');
				var index = $(this).index();
				showWV(index);
			});
			//关注证书
			$('#doFav').on('tap', doFav);
		}

		function doFav() {
			var user = Storage.getObj('user');
			if (user == null) {
				plus.nativeUI.confirm("需要登录,是否现在登录?", function(r) {
					if (r.index == 0) {
						mui.openWindow({
							url: '../login.html',
							id: 'login'
						});
					}
				}, "壹块过");
			} else {
				if ($(this).hasClass('active')) {
					plus.nativeUI.showWaiting('取消关注中...');
					Ajax.send('AppServer/member/cancelFollowed.do', {
						memberId: user.id,
						certId: certId,
						careType: 2 //1机构,2证书
					}, function(data) {
						plus.nativeUI.closeWaiting();
						if (data.success) {
							$("#doFav").removeClass('active');
//							plus.nativeUI.alert('取消关注成功!', function() {}, "壹块过");
						} else {
							plus.nativeUI.alert(data.msg, function() {}, "壹块过");
						}
					});
				} else {
					plus.nativeUI.showWaiting('关注中...');
					Ajax.send('AppServer/member/doFollow.do', {
						memberId: user.id,
						certId: certId,
						careType: 2 //1机构,2证书
					}, function(data) {
						plus.nativeUI.closeWaiting();
						if (data.success) {
							$("#doFav").addClass('active');
//							plus.nativeUI.alert('关注成功!', function() {}, "壹块过");
						} else {
							plus.nativeUI.alert(data.msg, function() {}, "壹块过");
						}
					});


				}

			}
		}
	});
});