var deps = [
	'H5PModules/Ajax', 'H5PModules/Storage', 'H5Modules/TemplateHelper',
	'../libs/mui.min', '../libs/jquery.min', '../libs/underscore-1.8.2',
	'../libs/swiper/js/swiper.min'
];
define(deps, function(Ajax, Storage, template) {
	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		var pxId = self.pxId;
		var serverData;
		
		
		getData();

		function getData() {
			plus.nativeUI.showWaiting();
			Ajax.send("AppServer/orgtrain/findOrgTrainByid.do", {
				id: pxId
			}, function(data) {
				plus.nativeUI.closeWaiting();
				
				getComments(1);
				serverData = data;
				$("#pageName").text(data.list.name);
				var html = template('tp', data);
				$('#ctn').html(html);

				//轮播
				var swiper = new Swiper('.swiper-container', {
					pagination: '.swiper-pagination',
					autoplay: 2000,
				});
				events();
			});
		}
		
		
		function getComments(pageNumber,callback) {
			Ajax.send("bbs/replys/seeReplys.do", {
				pageSize: 30,
				pageNumber: pageNumber,
				sectionId: 4, //板块ID,固定
				stId: pxId
			}, function(data) {
				plus.nativeUI.closeWaiting();
				if (data.ret_code == 0) {
					var html = template("comment-tp", data);
					$("#comment ul").append(html);
					if(pageNumber == 1 && data.total == 0){
						$("#comment").hide();
						$("#detail-ctn").off("touchend");
					}
				}
				if(callback){
					callback(data);
				}
			});
		}

		function events() {
			$("#baoming").on("tap", function() {
				mui.openWindow({
					url: "../pages/p-find-jigou-baoming.html",
					id: "find-jigou-baoming",
					extras: {
						serverData:serverData
					}
				});

			});
			$('#info').on('tap', showInfo);

		}
		
		
		function showInfo() {
			if ($('#info').hasClass('mui-ellipsis')) {
				$('#info').removeClass('mui-ellipsis');
			} else {
				$('#info').addClass('mui-ellipsis');
			}
		}

	});
});