var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template','HTMLs',
	'../libs/mui.min', '../libs/jquery.min'
];

define(deps, function(Ajax, Storage, template, HTMLs) {
	mui.plusReady(function() {
		window.addEventListener("dorefresh", function() {
			$("*").off("tap");
			READY2INIT();
		});
		READY2INIT();
	});
	
	function READY2INIT(){
		var self = plus.webview.currentWebview();
		var opts = self.opts;
		
		plus.nativeUI.showWaiting('加载中...');
		Ajax.send('AppServer/jobCert/findCert.do', opts, function(data) {
			if (data.success) {
				if(data.list.length == 0){
					$('#detail-ctn').html(HTMLs.empty);
				}else{
					var html = template('detail-tp', data);
					$('#detail-ctn').html(html);
				}
			} else {
				plus.nativeUI.alert(data.msg, function() {
					mui.back();
				}, "壹块过 ");
			}
			plus.nativeUI.closeWaiting();
		});
		
		//去详情页面
		$('#detail-ctn').on('tap', '.item', function() {
			var certName = $(this).find('.fd-title').text();
			var datas = {
				certId: $(this).data('id'),
				areaName: getAddress().province
			};
			mui.openWindow({
				url: 'p-find-detail-list-index.html',
				id: 'find-detail-list-index',
				extras: {
					certName: certName,
					opts: datas
				}
			});
		});

		//获取定位的地址
		function getAddress() {
			var address;
			var location = Storage.getObj('location');
			if (location == null) {
				console.log('定位失败!');
				address = {
					province: ''
				};
			} else {
				address = location.address;
			}
			return address;
		}
	
		
		
	}
});