define(['../../libs/underscore-1.8.2'], function() {
	//第三方登录
	var auths;
	function init() {
		plus.oauth.getServices(function(services) {
			if (services.length > 0) {
				auths = services;
			} else {
				plus.nativeUI.alert('当前运行环境不支持授权登录认证服务!', function() {}, "壹块过");
			}
		}, function(e) {
			plus.nativeUI.alert("获取分享服务列表失败：" + e.message + " - " + e.code, function() {}, "壹块过");
		});

	}

	function authLogin(type, callback) {
		var a = _.find(auths, function(obj) {
			return obj.id == type;
		});
		logoutAll();
		a.login(function() {
			console.log(JSON.stringify(a))
			a.getUserInfo(function() {
				var userInfo = a.userInfo;
				callback(a);
			}, function(e) {
				plus.nativeUI.alert('获取用户信息失败!', function() {}, "壹块过");
				plus.nativeUI.closeWaiting();
			});
		}, function(e) {
			plus.nativeUI.alert('登录认证失败!', function() {}, "壹块过");
			plus.nativeUI.closeWaiting();
		});
	}

	function logoutAll() {
		for (var i in auths) {
			logout(auths[i]);
		}
	}

	function logout(auth) {
		auth.logout(function() {}, function(e) {});
	}

	return {
		init:init,
		logout: logout,
		logoutAll: logoutAll,
		authLogin: authLogin
	};
});