/**
 * h5plus文本读取模块
 * by ypf(wolfx) 2015-8-21
 */

define(function() {

	var readText = function(url,callback,callback2) {
		console.log(url);
		plus.io.resolveLocalFileSystemURL(url, function(entry) {
			entry.file(function(file) {
				var fileReader = new plus.io.FileReader();
				fileReader.readAsText(file, 'utf-8');
				fileReader.onloadend = function(evt) {
					callback(evt.target.result);
				}
			});
		}, function(e) {
			callback2(e)
		});
	};
	
	var readText_ad_fixed = function(url,callback,callback2) {
		console.log(url);
		var BufferedReader = plus.android.importClass("java.io.BufferedReader");
		var File = plus.android.importClass("java.io.File");
		var FileInputStream = plus.android.importClass("java.io.FileInputStream");
		var InputStreamReader = plus.android.importClass("java.io.InputStreamReader");

		var jsonFile = new File(plus.io.convertLocalFileSystemURL(url));
		var _in = new FileInputStream(jsonFile);
		var inputStreamReader = new InputStreamReader(_in,"UTF-8");
		var buffer = new BufferedReader(inputStreamReader);
		var _json = buffer.readLine().toString();
		if(_json){
			callback(_json);
		}else{
			callback2();
		}
	};
	
	var isE = function(url,callback){
		console.log('isE:'+url);
		plus.io.resolveLocalFileSystemURL(url, function(entry) {
			callback(true);
		}, function(e) {
			callback(false);
		});
	}
	
	return {
		readText:readText,
		readText_ad_fixed:readText_ad_fixed,
		isE:isE
		
	};
});