define(['../../libs/underscore-1.8.2'], function() {
	
	/**
	 * 
	 * @param {Object} statement 订单字符串
	 * @param {Object} mode	方式 alipay/wxpay
	 * @param {Object} callback
	 */
	function doPay(statement,mode,callback,cancel) {
		plus.payment.getChannels(function(channels) {
			requestPay(channels, statement,mode,callback,cancel)
		}, function(e) {
			plus.nativeUI.alert("获取支付通道列表失败：" + e.message,function(){
			},'壹块过');
		});
	}
	
	function requestPay(cs, statement,mode,callback,cancel) {
		var c = _.find(cs,function(obj){
//			plus.nativeUI.alert("requestPay"+JSON.stringify(obj), function() {}, "壹块过");
			return obj.id == mode;
		});
		// 必须从业务服务器获取支付信息
		console.log('statement:'+statement);
		if ( !c.serviceReady ) {
			c.installService();
		}
		plus.payment.request(c, statement, function() {
			plus.nativeUI.alert("支付操作成功！",function(){
				callback();
			},'壹块过');
		}, function(e) {
			plus.nativeUI.alert("订单支付失败!",function(){
				cancel();
			},'壹块过');
		});
	}
	
	return {
		doPay:doPay
	};

});