//socket with NJS
//by wolfx 2015-10-28
define(function() {
	var Socket,PrintWriter,BufferedWriter,OutputStreamWriter,BufferedReader,InputStreamReader;
	var socket;
	function init() {
		if (plus.os.name == "Android") {
			Socket = plus.android.importClass("java.net.Socket");
			PrintWriter = plus.android.importClass("java.io.PrintWriter");
			BufferedWriter = plus.android.importClass("java.io.BufferedWriter");
			OutputStreamWriter = plus.android.importClass("java.io.OutputStreamWriter");
			BufferedReader = plus.android.importClass("java.io.BufferedReader");
			InputStreamReader = plus.android.importClass("java.io.InputStreamReader");

			socket = new Socket("192.168.2.118", 5555);
		}
	}
	
	function send(str,callback){
		if (plus.os.name == "Android") {
			//发送
			var outputStreamWriter = new OutputStreamWriter(socket.getOutputStream());
			var bufferWriter = new BufferedWriter(outputStreamWriter);
			var out = new PrintWriter(bufferWriter, true);
			console.log(str);
			out.println(str);
			out.flush();
			
			//接收
			var inputStreamReader = new InputStreamReader(socket.getInputStream());
			var br = new BufferedReader(inputStreamReader);
			var msg = br.readLine();
			if (msg != null) {
				console.log(msg);
				callback(msg);
			}else{
				console.log('msg is null');
			}
		}
	}
	
	return {
		init:init,
		send:send
	};

});