define(function(){
	var exports = {};
	
	exports.replaceSpec = function(s){
		return s.replace(/\\n|\\t|\\r|\\u00A0/g,"");
	}
	
	
	exports.getObj = function(key){
		var item = plus.storage.getItem(key);
		var result;
		if(item == null){
			result = null;
			return null;
		}else{
			result = plus.storage.getItem(key);
		}
		
		var start = result.indexOf("'");
		var end = result.lastIndexOf("'");
		if(result.substr(0,10) == "(function("){
			result = result.substring(start+1,end);
		}
		
		console.log('getObj-'+key+':'+result);
		return JSON.parse(result);
	};
	
	exports.setObj = function(key,obj){
		if(!obj){
			return;
		}
		var objStr = JSON.stringify(obj);
		objStr = exports.replaceSpec(objStr);
		plus.storage.setItem(key,objStr);
		console.log('setObj:'+objStr);
	};
	
	exports.getKeys = function(){
		var keyNames = [];
		var numKeys = plus.storage.getLength();
		for(var i=0; i<numKeys; i++) {
			keyNames[i] = plus.storage.key(i);
		}
		return keyNames;
	};
	
	return exports;
});
