/**
 * 文件上传模块  by wofx 2015年8月6日16:46:21
 */
define(function() {
	var exports = {};
	/**
	 * 
	 * @param {Object} server	服务器地址
	 * @param {Object} path		上传的文件路径
	 * @param {Object} key		文件key
	 */
	exports.start = function(server,path, key,callback,callback2) {
		var task = plus.uploader.createUpload(server, {
				method: "POST",
				blocksize: 204800,
				priority: 100,
				enctype:'multipart/form-data'
			},
			function(t, status) {
				// 上传完成
				if (status == 200) {
					console.log("Upload success: " + JSON.stringify(t));
					callback(t);
				} else {
					console.log("Upload failed: " + status);
					callback2(t)
				}
			}
		);
		task.addFile(path, {
			key: key
		});
		task.start();
	};
	
	return exports;
});