var deps = ['H5PModules/Ajax', 'H5Modules/TemplateHelper', 'H5PModules/Storage','../libs/mui.min', '../libs/jquery.min'
];
define(deps, function(Ajax, template, Storage) {
	mui.plusReady(function() {
		
		var self = plus.webview.currentWebview();
		var user = Storage.getObj("user");
		var ordernum = self.ordernum;
		var pid = self.pid;
		var ptype = self.ptype;
		var sectionId;
		if(ptype == 1){
			sectionId = 5;
		}else if(ptype == 3){
			sectionId = 4;
		}
		
		
		$("#submit").on("tap",function(){
			var rcontent = $("#content").val();
			if(rcontent.trim() == ""){
				plus.nativeUI.alert("请输入评价", function() {}, '壹块过');
				return;
			}
			plus.nativeUI.showWaiting();
			Ajax.send("bbs/replys/addReplys.do", {
				userId: user.id,
				numb: 0,
				stId: pid,
				rcontent: rcontent,
				sectionId: sectionId
			}, function(data) {
				if (data.ret_code == 0) {
					updateOrderInfo();
				} else {
					console.log(data.fail_desc);
					plus.nativeUI.alert(data.fail_desc, function() {}, '壹块过');
				}
			});
			
			
		});
		
		
		function updateOrderInfo(){
			Ajax.send('AppServer/order/updateOrderInfo.do',{
				ordernum: ordernum
			},function(data){
				if(data.success){
					plus.nativeUI.closeWaiting();
					if(plus.webview.getWebviewById("myAgent-all")){
						mui.fire(plus.webview.getWebviewById('myAgent-all'),"dorefresh");
					}
					if(plus.webview.getWebviewById("myAgent-obligation")){
						mui.fire(plus.webview.getWebviewById('myAgent-obligation'),"dorefresh");
					}
					if(plus.webview.getWebviewById("myAgent-receiving")){
						mui.fire(plus.webview.getWebviewById('myAgent-receiving'),"dorefresh");
					}
					if(plus.webview.getWebviewById("myAgent-refund")){
						mui.fire(plus.webview.getWebviewById('myAgent-refund'),"dorefresh");
					}
					mui.alert("评论成功","壹块过",function(){
						self.close();
					});
				}
			});
			
			
			
		}
		
		
		
		
	});
});