var deps = ['H5PModules/Ajax', '../libs/template', 'H5PModules/Storage', '../libs/mui.min', '../libs/jquery.min'];
define(deps, function(Ajax, template, Storage) {
	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		var ordernum = self.ordernum;
		
		var totalMoney = self.totalprice;
		var realMoney = self.refundMoney;
		var refundPoint = self.usePoint;
		
		$("#totalMoney").val("订单金额: " + totalMoney);
		$("#realMoney").val("退款金额: " + realMoney);
		$("#refundPoint").val("退还逗币: " + refundPoint);
		
		//提交
		$("#submit").on("tap",function(){
			var refundReason = $("#refundReason").val();
			if(refundReason.trim() == ''){
				mui.alert("请填写退款原因","壹块过");
				return;
			}
			
			plus.nativeUI.showWaiting("提交中...");
			Ajax.send("AppServer/orderRefund/insertOrderRefund.do",{
				ordernum:ordernum,
				refundMoney:realMoney,
				refundReason:refundReason
			},function(data){
				plus.nativeUI.closeWaiting();
				if(data.success){
					if(plus.webview.getWebviewById("myAgent-all")){
						mui.fire(plus.webview.getWebviewById('myAgent-all'),"dorefresh");
					}
					if(plus.webview.getWebviewById("myAgent-obligation")){
						mui.fire(plus.webview.getWebviewById('myAgent-obligation'),"dorefresh");
					}
					if(plus.webview.getWebviewById("myAgent-receiving")){
						mui.fire(plus.webview.getWebviewById('myAgent-receiving'),"dorefresh");
					}
					if(plus.webview.getWebviewById("myAgent-refund")){
						mui.fire(plus.webview.getWebviewById('myAgent-refund'),"dorefresh");
					}
					mui.alert(data.msg,"壹块过",function(){
						self.close();
					});
				}else{
					mui.alert(data.msg,"壹块过");
				}
			});
		});


	});
});