var deps = ['H5PModules/Storage', 'SwipeDelBtn', '../libs/template','HTMLs', '../libs/mui.min',
	'../libs/underscore-1.8.2', '../libs/jquery.min'
];

define(deps, function(Storage, delBtn, template, HTMLs) {
	mui.plusReady(function() {
		var user = Storage.getObj('user');
		var bankId = plus.storage.getItem('NowBank-' + user.id);
		var _favList = Storage.getObj('Bank-' + user.id + '-' + bankId + '-favList');
		var titles = Storage.getObj('Bank-' + user.id + '-' + bankId + '-titles').titles;
		if (_favList == null || _favList.length == 0) {
			$('#list-ctn').html(HTMLs.empty);
			return;
		}
		var favList = _.filter(titles, function(obj) {
			var flag = false;
			if (_favList.indexOf(obj.id) != -1) {
				flag = true;
			}
			return flag;
		});

		var html = template('list-tp', {
			list: favList
		});
		$('#list-ctn').html(html);

		delBtn.init('.list-item', 50);

		$('#list-ctn').on('tap', '.title', function() {
			var qid = $(this).data('id');
			mui.openWindow({
				url: '../pages/p-questionView.html',
				id: 'questionView',
				extras: {
					qid: qid
				}
			});
		});

		$('#list-ctn').on('tap', '.delBtn', function() {
			var id = $(this).data('id');
			_favList = _.difference(_favList, [parseInt(id)]);
			Storage.setObj('Bank-' + user.id + '-' + bankId + '-favList', _favList);
			$(this).parent().remove();
		});
	});
});