var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template','HTMLs',
	'../libs/mui.min', '../libs/jquery.min'
];

define(deps, function(Ajax, Storage, template, HTMLs) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		var user = Storage.getObj('user');
		Ajax.send('AppServer/member/careList.do', {
			memberId: user.id,
			careType: 2 //1机构,2证书
		}, function(data) {
			if (data.success && data.list.length > 0) {
				var html = template('list-tp', data);
				$('#list-ctn').html(html);
			} else {
				$('#list-ctn').html(HTMLs.empty_goFind("去找证"));
			}
			plus.nativeUI.closeWaiting();
		});
	
		$("#list-ctn").on('tap', '#goFind', function() {
			mui.fire(plus.webview.getLaunchWebview(),"change2find");
			mui.back();
		});

		$('#list-ctn').on('tap', '.list-item', function() {
			var item = $(this);
			var certName = item.find('.title').text();
			var datas = {
				certId: item.data('certid'),
				areaName: getAddress().province
			};
			mui.openWindow({
				url: 'p-find-detail-list-index.html',
				id: 'find-detail-list-index',
				extras: {
					certName: certName,
					opts: datas
				}
			});
		});

		//获取定位的地址
		function getAddress() {
			var address;
			var location = Storage.getObj('location');
			if (location == null) {
				console.log('定位失败!');
				address = {
					province: ''
				};
			} else {
				address = location.address;
			}
			return address;
		}

	});
});