var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template', 'H5PModules/Pay',
	'../libs/mui.min', '../libs/jquery.min', '../libs/underscore-1.8.2'
];
define(deps, function(Ajax, Storage, template, Pay) {
	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		var orderList = self.orderList;
		var user = Storage.getObj('user');
		var postObj = {
			order: {},
			signup: []
		};
		var tp = {
			userList: template.compile($('#userList-tp').html())
		};
		
		
		
		initPage();
		events();
		
		
		
		function events(){
			$('#userList-ctn').on('tap','.userList',goUpdatePage);
			$('#goPay').on('tap', updateOrder);
		}
		
		//监听增加用户事件
		window.addEventListener('addUser', function(signupObj) {
			var id = signupObj.detail.id;
			postObj.signup = _.filter(postObj.signup,function(obj){
				obj.id != id;
			});
			postObj.signup.push(signupObj.detail);
			var html = tp.userList(postObj);
			$('#userList-ctn').html(html);
			plus.webview.getWebviewById('baoming-addUser').close();
		});
		
		//初始化页面
		function initPage(){
			//post对象初始值
			postObj.signup = orderList;
			var html = tp.userList({signup:orderList});
			$('#userList-ctn').html(html);
		}
		
		
		function updateOrder(){
			Ajax.send('AppServer/signup/updateSignupById.do',{
				signup:JSON.stringify(postObj.signup)
			},function(data){
				if(data.success){
					if(plus.webview.getWebviewById("myOrderDetail")){
						mui.fire(plus.webview.getWebviewById('myOrderDetail'),"dorefresh");
					}
					mui.back();
				}else{
					plus.nativeUI.alert('操作失败!status:'+data.status, function() {}, '壹块过');
				}
			});
		}

		/**
		 * 添加报名人页面
		 */
		function goUpdatePage() {
			var serverPath = plus.storage.getItem('serverPath');
			var id = $(this).data('id');
			console.log(JSON.stringify(postObj.signup))
			var signupObj = _.find(postObj.signup,function(obj){
				return id == obj.id;
			});
			mui.openWindow({
				url: '../pages/p-baoming-addUser.html',
				id: 'baoming-addUser',
				extras:{
					flag:'update',
					serverPath:serverPath,
					signupObj:signupObj
				}
			});
		}

	});
});