var deps = ['H5PModules/Storage', '../libs/underscore-1.8.2', '../libs/mui.min', '../libs/jquery.min'];

define(deps, function(Storage) {
	mui.plusReady(function() {
		var user = Storage.getObj('user');
		var self = plus.webview.currentWebview();
		var examResult = self.examResult;
		var DataList = self.DataList;
		var q_error = self.q_error;
		var q_right = self.q_right;
		require(['Questions-errors-render', 'Questions-errors-index'], function(QRender) {
			setColor(q_error, q_right);
		});

		function setColor(q_error, q_right) {
			var totalN = DataList.length;
			var rightN = q_right.length;
			var errorN = q_error.length;
			$('#r_e_count_div .right').text(rightN);
			$('#r_e_count_div .error').text(errorN);
			$('#r_e_count_div .unknow').text(totalN - errorN - rightN);
			var $divs = $('#question_index .span6>div');
			$divs.each(function() {
				var id = $(this).data('id');
				if (q_error.indexOf(id) != -1) {
					$(this).addClass('error');
				}
				if (q_right.indexOf(id) != -1) {
					$(this).addClass('success');
				}
			});
		}

		function uuid() {
			var s = [];
			var hexDigits = "0123456789abcdef";
			for (var i = 0; i < 36; i++) {
				s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
			}
			s[14] = "4"; // bits 12-15 of the time_hi_and_version field to 0010
			s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1); // bits 6-7 of the clock_seq_hi_and_reserved to 01
			s[8] = s[13] = s[18] = s[23] = "-";

			var uuid = s.join("");
			return uuid;
		}
	});
});