//页面渲染相关
var deps = ['H5PModules/Storage', 'H5Modules/TemplateHelper', 'HTMLs', 'H5PModules/Share','H5PModules/ValiLogin',
	'H5PModules/Ajax',
	'../libs/swiper/js/swiper.min',
	'../libs/underscore-1.8.2'
];
define(deps, function(Storage, template, HTMLs, Share, valiLogin,Ajax) {
	Share.init();
	var user = Storage.getObj('user');
	var nowIndex = 0;
	window.oldHtmls = {};
	var self = plus.webview.currentWebview();
	var activeId = self.activeId;
	var bankId = plus.storage.getItem('NowBank-' + user.id);
	var BankObj = Storage.getObj('Bank-' + user.id + '-' + bankId + '-titles');
	if (BankObj == null) {
		$('#c_inputbox').hide();
		$('.absCtn').html(HTMLs.empty);
		return;
	}
	var DataList = _.find(BankObj.titles, function(obj) {
		return obj.subjectId == activeId;
	});

	if (DataList == undefined || DataList.titles.length == 0) {
		$('#c_inputbox').hide();
		$('.absCtn').html(HTMLs.empty);
		return;
	}

	DataList = DataList.titles;
	var filteredList = [];

	self.orgId = DataList[0].orgId;

	plus.nativeUI.showWaiting('加载题库...');
	console.log("fuck 开始readBank");
	readBank();
	console.log("fuck 结束readBank");
	//收藏当前题目
	$('#favIt').on('tap', favIt);
	$('#unFavIt').on('tap', unFavIt);

	//分享
	$('#shareIt').on('tap', toggleShareWindow);
	$('#shareWindow .cancel').on('tap', toggleShareWindow);
	$('#shareWindow .shareBtn').on('tap', function(){
		var $self = $(this);
		if(valiLogin()){
			processShare($self);
		}
	});
	//纠错
	$('#reportError').on('tap', reportError);
	//移除错题
	$('#removeError').on('tap', removeError);

	function removeError() {
		var elist = Storage.getObj('Bank-' + user.id + '-' + bankId + '-errors') || [];
		var qid = filteredList[nowIndex].id;
		elist = _.difference(elist, [qid]);
		Storage.setObj('Bank-' + user.id + '-' + bankId + '-errors', elist);
		plus.nativeUI.alert('删除错题成功!', function() {}, "壹块过");
	}

	function reportError() {
		var qid = filteredList[nowIndex].id;
		mui.openWindow({
			url: '../pages/p-reportError.html',
			id: 'reportError',
			extras: {
				opts: {
					titleId: qid,
					memberId: user.id,
					orgId: self.orgId,
					areaCode: filteredList[0].areaCode
				}
			}
		});
	}

	//显示分享窗口
	function toggleShareWindow() {
		$('#shareMask,#shareWindow').toggle();
	}

	//处理分享
	function processShare($self) {
		if(filteredList.length == 0){
			mui.alert("没有题目分享");
			return;
		}
		var qid = filteredList[nowIndex].id;
		var serverPath = plus.storage.getItem('serverPath');
		var type = $self.data('type');
		var view = $self.data('view');
		//“sinaweibo”表示新浪微博、“tencentweibo”表示腾讯微博、“weixin”表示微信、“qq”表示腾讯QQ。
		var infoList = {
			title: '壹块过 - 试题练习',
			content: "这道题出的有水准！",
			href: serverPath + '/AppServer/titleRelease/findTitleDetailModel.do?areaCode=' + filteredList[0].areaCode + '&titleId=' + qid + '&isIOS=' + mui.os.ios + '&memberId=' + user.id + '&type=lianxi' + "&time=" + new Date().getTime()
		};
		if (type == 'weixin') {
			infoList.extra = {
				scene: view
			};
		}
		Share.shareAction(type, infoList);

	}

	function unFavIt() {
		var qid = filteredList[nowIndex].id;
		var favList = Storage.getObj('Bank-' + user.id + '-' + bankId + '-favList');
		favList = _.difference(favList, [qid]);
		Storage.setObj('Bank-' + user.id + '-' + bankId + '-favList', favList);
		$(this).hide();
		$('#favIt').show();
	}


	function favIt() {
		var qid = filteredList[nowIndex].id;
		var favList = Storage.getObj('Bank-' + user.id + '-' + bankId + '-favList');
		if (favList == null) {
			favList = [qid];
		} else {
			favList = _.union(favList, [qid]);
		}
		Storage.setObj('Bank-' + user.id + '-' + bankId + '-favList', favList);
		$(this).hide();
		$('#unFavIt').show();

	}

	/**
	 * 读题库文件
	 */
	function readBank() {
			var pre_index;

			formatBank();
			goContinue();

			//继续上一次做题
			function goContinue() {
				//获取上一次的索引
				var UserExtras = Storage.getObj('UserExtras-' + user.id + '-' + bankId + '-' + activeId);
				pre_index = 0;
				if (self.flag == 'line') {
					if (UserExtras && UserExtras.pre_index_sxlx) {
						plus.nativeUI.confirm("上次做到第" + (UserExtras.pre_index_sxlx + 1) + "题,是否继续答题?", function(r) {
							if (r.index == 0) {
								pre_index = UserExtras.pre_index_sxlx;
								nowIndex = UserExtras.pre_index_sxlx;
								$('#numNow').text(nowIndex + 1);
								changeFavBtn(nowIndex);
								render();
							} else {
								changeFavBtn(0);
								render();
							}
						}, "壹块过");
					} else {
						changeFavBtn(0);
						render();
					}

				} else if (self.flag == 'subject') {
					if (UserExtras && UserExtras['pre_index_subject-' + self.subjectId + '-' + self.knowledgeCode]) {
						var __p = UserExtras['pre_index_subject-' + self.subjectId + '-' + self.knowledgeCode];
						plus.nativeUI.confirm("上次做到第" + (__p + 1) + "题,是否继续答题?", function(r) {
							if (r.index == 0) {
								pre_index = __p;
								nowIndex = __p;
								$('#numNow').text(nowIndex + 1);
								changeFavBtn(nowIndex);
								render();
							} else {
								changeFavBtn(0);
								render();
							}
						}, "壹块过");
					} else {
						changeFavBtn(0);
						render();
					}
				} else {
					changeFavBtn(0);
					render();
				}

			}

			function formatBank() {
				if (self.flag == 'errorQ') {
					$("#removeError").show();
					//错题练习
					//题目状态[对,错]
					var errors = Storage.getObj('Bank-' + user.id + '-' + bankId + '-errors');
					//错误的题
					var DataListError = [];
					if (errors == null) {
						$('#c_inputbox').hide();
						$('.absCtn').html(HTMLs.empty);
						// plus.nativeUI.alert('没有数据', function() {}, '壹块过');
						plus.nativeUI.closeWaiting();
						return;
					}
					for (var i = 0; i < DataList.length; i++) {
						if (errors.indexOf(DataList[i].id) == -1) {
							//当前题目不在错题中
						} else {
							DataListError.push(DataList[i]);
						}
					}
					filteredList = DataListError;
				} else if (self.flag == 'subject') {
					//专项练习
					var knowledgeCode = self.knowledgeCode;
					var indexList = [];
					for (var i = 0; i < DataList.length; i++) {
						var codes = DataList[i].knowledgeType.split(',');
						//包含知识点
						if (codes.indexOf(knowledgeCode) != -1) {
							indexList.push(DataList[i]);
						}
					}
					filteredList = indexList;
				} else if (self.flag == 'random') {
					//随机练习
					var DataListRandom = _.shuffle(DataList);
					filteredList = DataListRandom;
				} else if (self.flag == 'hard') {
					var hardList = [];
					for (var i = 0; i < DataList.length; i++) {
						if (DataList[i].difficulty == 5) {
							hardList.push(DataList[i]);
						}
					}
					filteredList = hardList;
				} else if (self.flag == 'fav') {
					//用户收藏的题
					var favList = [];
					var _favList = Storage.getObj('Bank-' + user.id + '-' + bankId + '-favList');

					// APP进入点击我的收藏_favList  null空判断
					if (_favList == null) {
						$('#c_inputbox').hide();
						$('.absCtn').html(HTMLs.empty);
						plus.nativeUI.closeWaiting();
						return;
					}

					for (var i = 0; i < DataList.length; i++) {
						if (_favList.indexOf(DataList[i].id) != -1) {
							favList.push(DataList[i]);
						}
					}
					filteredList = favList;
				} else {
					filteredList = DataList;
				}

				if (filteredList.length == 0) {
					$('#c_inputbox').hide();
					$('.absCtn').html(HTMLs.empty);
					plus.nativeUI.closeWaiting();
					return;
				}

				//加入题号
				for (var i = 0; i < filteredList.length; i++) {
					filteredList[i].order = i + 1;
				}


			}

			//执行题库渲染
			function render() {
				var slides = $('.swiper-slide');
				for (var i = 0; i < slides.length; i++) {
					if (filteredList[i + pre_index]) {
						$(slides[i]).html(renderQuestions(filteredList[i + pre_index]));
					}
				}
				for (var i = 0; i < slides.length; i++) {
					if ($(slides[i]).html() == '') {
						$(slides[i]).remove();
					}
				}

				//生成索引
				renderIndex(filteredList);

				window.mySwiper = new Swiper('.swiper-container', {
					loop: false,
					onInit:function(){
						var $comment = $('.swiper-slide-active').find(".commentCtn");
						var qid = $comment.attr('id').split("_")[1];
						if($comment.css('display') == "none"){
							$('#c_inputbox').hide();
						}else{
							$('#c_inputbox').show();
						}
					},
					onTransitionEnd: function(swiper) {
						console.log('onTransitionEnd');
						console.log(swiper.activeIndex);
						
						var $comment = $('.swiper-slide-active').find(".commentCtn");
						var qid = $comment.attr('id').split("_")[1];
						
						if (swiper.touches.diff < 0) {
							if (swiper.isEnd) {
								var nowId = $('.swiper-slide').eq(swiper.activeIndex).find('.q-type').data('index');
								if ($('.swiper-slide').length > 3) {
									mySwiper.removeSlide(0);
									swiper.activeIndex = 2;
								}
								if (filteredList[nowId]) {
									mySwiper.appendSlide('<div class="swiper-slide">' + getFromcache(nowId) + '</div>');
								}
							}
						} else if (swiper.touches.diff > 0) {
							if (swiper.isBeginning) {
								var nowId = $('.swiper-slide').eq(swiper.activeIndex).find('.q-type').data('index');
								if (nowId - 2 < 0) {
									console.log('索引小于0了');
									return;
								}
								mySwiper.prependSlide('<div class="swiper-slide">' + getFromcache(nowId - 2) + '</div>');

								if ($('.swiper-slide').length > 3) {
									mySwiper.removeSlide($('.swiper-slide').length - 1);
									swiper.activeIndex = 2;
								}
							}
						}
						var height = $(window).height() - 65;
						$('.swiper-slide').height(height);
						$('#c_inputbox').hide();
					},
					onTransitionStart: function(swiper) {
						console.log('onTransitionStart');
						//当然dom中的题号
						var qDomIndex = parseInt($('.q-type').eq(swiper.activeIndex).data('index'));
						$('#numNow').text(qDomIndex);
						//判断是否收藏[题目索引]
						nowIndex = qDomIndex - 1;
						changeFavBtn(nowIndex);
					}
				});

				var height = $(window).height() - 65;
				$('.swiper-slide').height(height);
				//			changeFavBtn(0);

				//点击索引
				var $question_index = $('#question_index');
				$question_index.on('tap', '.span6', function() {
					var index = $(this).index();
					$('#numNow').text(index + 1);
					mySwiper.removeAllSlides();
					if (filteredList[index]) {
						mySwiper.appendSlide('<div class="swiper-slide">' + getFromcache(index) + '</div>');
					}
					if (filteredList[index + 1]) {
						mySwiper.appendSlide('<div class="swiper-slide">' + getFromcache(index + 1) + '</div>');
					}
					if (filteredList[index - 1]) {
						mySwiper.prependSlide('<div class="swiper-slide">' + getFromcache(index - 1) + '</div>');
					}
					//索引校准
					nowIndex = index;
					
					var height = $(window).height() - 100;
					$('.swiper-slide').height(height);
				});

			}
			
			

			plus.nativeUI.closeWaiting();
		}
		/**
		 * 控制收藏和取消收藏
		 * @param {Object} nowIndex
		 */

	function changeFavBtn(nowIndex) {
		if(filteredList.length>0){
			var favList = Storage.getObj('Bank-' + user.id + '-' + bankId + '-favList');
			var qid = filteredList[nowIndex].id;
			if (favList == null) {
				$('#favIt').show();
				$('#unFavIt').hide();
				return;
			}
			if (favList.indexOf(qid) == -1) {
				$('#favIt').show();
				$('#unFavIt').hide();
			} else {
				$('#favIt').hide();
				$('#unFavIt').show();
			}
		}
		
	}

	/**
	 * 取题
	 * @param {Object} index  索引:题号-1
	 */
	function getFromcache(index) {
			if (oldHtmls[index]) {
				return oldHtmls[index];
			} else {
				var q = filteredList[index];
				return renderQuestions(q);
			}
		}
		/**
		 * 渲染题库
		 * @param {Object} index
		 */

	function renderQuestions(question) {
		var singleSelect = template.compile($('#singleSelect-tp').html());
		var multipleSelect = template.compile($('#multipleSelect-tp').html());
		var decide = template.compile($('#decide-tp').html());
		var analysis = template.compile($('#analysis-tp').html());
		var qAndA = template.compile($('#qAndA-tp').html());
		var html = '';
		if (!question) {
			return;
		}
		if (question.titleType === "0000") {
			html = singleSelect({
				q: question
			});
		} else if (question.titleType === "0001") {
			html = multipleSelect({
				q: question
			});
		} else if (question.titleType === "0002") {
			html = decide({
				q: question
			});
		} else if (question.titleType === "0003") {
			html = analysis({
				q: question
			});
		} else if (question.titleType === "0004") {
			html = qAndA({
				q: question
			});
		}
		return html;
	}

	/**
	 * 渲染题目的目录
	 */
	function renderIndex(data) {
		if(data.length>0){
			$('#numTotal').text('/' + data.length);
			var indexArray = [];
			var indexHtml = template('question_index_tp', {
				list: data
			});
			$('#question_index').html(indexHtml);
			$('#r_e_count_div .right').text(0);
			$('#r_e_count_div .error').text(0);
			$('#r_e_count_div .unknow').text(data.length);
		}else{
			$("#showIndex").hide();
		}
		
	}
	
	/**
	 * 显示评论
	 * @param {Object} qid
	 */
	function showCommemts(qid) {
		if($('.swiper-slide-active').find(".comment").length == 0){
			$('#comment_' + qid).html('<div style="padding:10px;text-align:center;">评论加载中...</div>');
			Ajax.send("bbs/replys/seeReplys.do", {
				stId: qid,
				sectionId: 1,
				pageNumber: 1,
				pageSize: 5
			}, function(data) {
				data.qid = qid;
				if (data.ret_code == 0) {
					var html = template("comment-tp", data);
					$('#comment_' + qid).html(html);
					
					//判断是否显示评论框框
					var $comment = $('.swiper-slide-active').find(".commentCtn");
					if($comment.css('display') == "none"){
						$('#c_inputbox').hide();
					}else{
						$('#c_inputbox').show();
					}
				}
			});
		}
		
	}



	//退出时存当前做题位置
	mui.back = function() {
		if (self.flag == 'line') {
			//顺序
			var UserExtras = Storage.getObj('UserExtras-' + user.id + '-' + bankId + '-' + activeId);
			if (UserExtras == null) {
				UserExtras = {};
			}
			UserExtras.pre_index_sxlx = nowIndex;
			Storage.setObj('UserExtras-' + user.id + '-' + bankId + '-' + activeId, UserExtras);
		} else if (self.flag == 'subject') {
			//专项
			var UserExtras = Storage.getObj('UserExtras-' + user.id + '-' + bankId + '-' + activeId);
			if (UserExtras == null) {
				UserExtras = {};
			}
			UserExtras['pre_index_subject-' + self.subjectId + '-' + self.knowledgeCode] = nowIndex;
			Storage.setObj('UserExtras-' + user.id + '-' + bankId + '-' + activeId, UserExtras);
		}
		self.close();
	}

	return {
		filteredList: filteredList,
		nowIndex: nowIndex
	};
});