var deps = ['H5PModules/Ajax', 'H5PModules/Upload-image', 'H5PModules/Storage',
	'../libs/mui.min', '../libs/jquery.min', '../libs/RegExps'
];
define(deps, function(Ajax, UploadImg, Storage) {
	mui.plusReady(function() {
		var user = Storage.getObj('user');
		var memberFace = '';
		if (user != null) {
			$('#nickName').val(user.nickName);
			$('#qq').val(user.qq);
			$('#email').val(user.email);
			if(user.openId){
				$('#mobile').val(user.bindMobile);
			}else{
				$('#mobile').val(user.mobile);
			}
			if (user.headPath.indexOf("http") == -1) {
				user.headPath = Ajax.serverUrl + user.headPath;
			}
			$('#uploadHeadimg .h_img').attr('src', user.headPath);
		}

		$('#uploadHeadimg').on('tap', function() {
			UploadImg.galleryImg(Ajax.serverUrl + '/AppServer/home/uploadImage.do','memberImage', function(obj) {
				$('.h_img').attr('src', obj.list.imageServerPath);
				memberFace = obj.list.imageName;
			});
		});

		$('#doEdit').on('tap', function() {
			var datas = {
				memberId: user.id,
				nickName: $('#nickName').val(),
				qq: $('#qq').val(),
				email: $('#email').val(),
				memberFace: memberFace
			};
			if (datas.nickName.trim() == '') {
				plus.nativeUI.alert('请输入昵称!', function() {}, '壹块过');
			} else if (datas.qq.trim() == '') {
				plus.nativeUI.alert('请输入QQ号!', function() {}, '壹块过');
			} else if (datas.email.trim() == '') {
				plus.nativeUI.alert('请输入电子邮箱!', function() {}, '壹块过');
			} else if (!RegExps.Email.test(datas.email)) {
				plus.nativeUI.alert('邮箱格式不正确!', function() {}, '壹块过');
			} else {
				submitIt(datas);
			}
		});

		/**
		 * 提交信息
		 * @param {Object} datas
		 */
		function submitIt(datas) {
			plus.nativeUI.showWaiting('修改中...');
			Ajax.send('AppServer/member/doEdit.do', datas, function(data) {
				if (data.success) {
					//修改本地存储
					var user = data.list;
					if (user.headPath.toLowerCase().indexOf('http://') == -1) {
						user.headPath = data.serverPath + user.headPath;
					}
					Storage.setObj('user', user);
					mui.fire(plus.webview.getWebviewById('userCenter'),"dorefresh");
					plus.webview.currentWebview().close();
				} else {
					plus.nativeUI.alert('修改失败!', function() {}, '壹块过');
				}
				plus.nativeUI.closeWaiting();
			});
		}
	});
});