var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template','HTMLs',
	 '../libs/mui.min','../libs/jquery.min'
];
define(deps, function(Ajax, Storage, template,HTMLs) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		Ajax.send('AppServer/activity/findActivityList.do', {}, function(data) {
			if (data.success) {
				var html = template('list-tp', data);
				$('#list-ctn').html(html);
			} else {
				$('#list-ctn').html(HTMLs.empty);
			}
			plus.nativeUI.closeWaiting();
		});

		$('#list-ctn').on('tap', '.list-item', function() {
			var activityId = $(this).data('id');
			mui.openWindow({
				url: '../pages/p-activityDetail.html',
				id: 'activityDetail',
				extras: {
					activityId: activityId
				}
			});
		});
	});
});