var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template','H5PModules/Share','H5PModules/ValiLogin',
	'../libs/mui.min',
	'../libs/jquery.min'
];
define(deps, function(Ajax, Storage, template,Share,valiLogin) {
	mui.plusReady(function() {
		Share.init();
		plus.nativeUI.showWaiting('加载中...');
		var self = plus.webview.currentWebview();

		template.helper('$htmldecode', htmldecode);

		template.helper('$cutDate', function(s) {
			var arr = s.split(' ');
			var date = arr[0];
			return date;
		});

		if (self.flag == 'mainSwiper') {
			console.log(JSON.stringify(self.obj))
			var html = template('tp', self.obj);
			$('#ctn').html(html);
			$('#aTitle').text(self.obj.list.name);
			plus.nativeUI.closeWaiting();
		} else {
			var activityId = self.activityId;
			Ajax.send('AppServer/activity/findActivity.do', {
				id: activityId
			}, function(data) {
				if (data.success) {
					var html = template('tp', data);
					$('#ctn').html(html);
					$('#aTitle').text(data.list.title);
					self.title = data.list.title;
				} else {

				}
				plus.nativeUI.closeWaiting();
			});

		}

		//分享
		$('#shareIt').on('tap', toggleShareWindow);
		$('#shareWindow .cancel').on('tap', toggleShareWindow);
		$('#shareWindow .shareBtn').on('tap', function(){
			var $self = $(this);
			if(valiLogin()){
				processShare($self);
			}
		});

		//显示分享窗口
		function toggleShareWindow() {
			$('#shareMask,#shareWindow').toggle();
		}

		//处理分享
		function processShare($self) {
			var user = Storage.getObj("user");
			var serverPath = plus.storage.getItem('serverPath');
			var type = $self.data('type');
			var view = $self.data('view');
			//“sinaweibo”表示新浪微博、“tencentweibo”表示腾讯微博、“weixin”表示微信、“qq”表示腾讯QQ。
			var infoList = {
				title: '壹块过 - 公告',
				content: self.title,
				href: serverPath + '/AppServer/activity/findActivityModel.do?id=' + self.activityId + "&memberId=" + user.id + "&time=" + new Date().getTime()
			};

			if (type == 'weixin') {
				infoList.extra = {
					scene: view
				};
			}
			
			Share.shareAction(type, infoList);

		}



		function htmlencode(s) {
			var div = document.createElement('div');
			div.appendChild(document.createTextNode(s));
			return div.innerHTML;
		}

		function htmldecode(s) {
			var div = document.createElement('div');
			div.innerHTML = s;
			return div.innerText || div.textContent;
		}

	});
});