var deps = ['../libs/template','../libs/jquery.min'];

define(deps,function(template){
	var dom = '<div class="myAlert-ctn" id="myAlert-ctn">'
				+ '<div class="win">'
					+ '<div class="title">壹块过</div>'
					+ '<div class="text">{{text}}</div>'
					+ '<div class="btns">'
					+ '<span class="left">{{leftText}}</span>'
					+ '{{if num>1}}&emsp;&emsp;'
					+ '<span class="right">{{rightText}}</span>'
					+ '{{/if}}</div>'
				+ '</div>'
			+ '</div>';
			
	var compile = template.compile(dom);
	
	
	function show(obj,callback){
		var html = compile({
			text:obj.text,
			leftText:obj.leftText || '确定',
			rightText:obj.rightText || '取消',
			num:obj.num || '1'
		});
		$('#myAlert-ctn').remove();
		$('body').append(html);
		
		var height = $('#myAlert-ctn .win').height();
		var wHeight = $(window).height();
		$('#myAlert-ctn .win').css({
			'margin-top':(wHeight/2 - height/2)+'px'
		});
		
		$('#myAlert-ctn').on('tap','.left',function(){
			callback(0);
		});
		$('#myAlert-ctn').on('tap','.right',function(){
			callback(1);
		});
	}
	
	function remove(){
		$('#myAlert-ctn').remove();
	}
	
	return {
		show:show,
		remove:remove
	};
	
});