var deps = ['H5PModules/Ajax', 'H5PModules/Storage', 'H5Modules/TemplateHelper',
	'../libs/mui.min', '../libs/jquery.min', '../libs/underscore-1.8.2'
];
define(deps, function(Ajax, Storage, template) {
	mui.plusReady(function() {
		var self = plus.webview.currentWebview();
		var user = Storage.getObj("user");
		var qid = self.qid;
		showCommemts(qid);
		
		$('#addComment').on("tap",function(){
			var commentText = $('#commentText').val();
			if(commentText.trim() == ""){
				plus.nativeUI.alert("回复内容不能为空！", function() {}, '壹块过');
			}else{
				addComments(qid, commentText);
			}
		});


		/**
		 * 回复
		 * @param {Object} qid
		 * @param {Object} rcontent
		 */
		function addComments(qid, rcontent) {
			plus.nativeUI.showWaiting();
			Ajax.send("bbs/replys/addReplys.do", {
				userId: user.id,
				numb: $('.comment').find("li").length,
				stId: qid,
				rcontent: rcontent,
				sectionId: 1
			}, function(data) {
				plus.nativeUI.closeWaiting();
				if (data.ret_code == 0) {
					var obj = {
						nickName: user.nickName,
						rcontent: data.entity.rcontent,
						headimg: data.entity.img,
						createdate: data.entity.createdate
					};
					var html = template("comment-li-tp", obj);
					$("#absCtn").find("ul").prepend(html);
					$('#commentText').val("");
				} else {
					console.log(data.fail_desc);
					plus.nativeUI.alert(data.fail_desc, function() {}, '壹块过');
				}
			});
		}


		/**
		 * 显示评论
		 * @param {Object} qid
		 */
		function showCommemts(qid) {
			plus.nativeUI.showWaiting("评论加载中");
			Ajax.send("bbs/replys/seeReplys.do", {
				stId: qid,
				sectionId: 1,
				pageNumber: 1,
				pageSize: 100
			}, function(data) {
				plus.nativeUI.closeWaiting();
				if (data.ret_code == 0) {
					var html = template("comment-tp", data);
					$('#absCtn').html(html);
				}
			});
		}

		//ready end
	});

});