var deps = ['H5PModules/Ajax', 'H5PModules/Storage',
	'../libs/mui.min', '../libs/jquery.min'
];
define(deps, function(Ajax, Storage) {
	mui.plusReady(function() {
		var user = Storage.getObj("user");
		var self = plus.webview.currentWebview();
		var topsId = self.topsId;

		$('#doPost').on('tap', doPost);
		$('#content').on("input",function(){
			var num = $(this).val().length;
			$("#textNum").text(num);
		});

		/**
		 * 发布
		 */
		function doPost() {
			var userId = user.id;
			var content = $("#content").val();
			if(content.length>150){
				plus.nativeUI.alert("内容不能超过150字", function() {}, '壹块过');
				return;
			}
			plus.nativeUI.showWaiting("提交中...");
			Ajax.send("bbs/replys/addReplysSQ.do", {
				userId:user.id,
				rcontent:content,
				sectionId:2,//这个是板块id,因为现在做的社区,所有板块id是固定的.....每次传值为2就可以了
				topsId:topsId
			}, function(data) {
				plus.nativeUI.closeWaiting();
				if (data.ret_code == 0) {
					mui.fire(plus.webview.getWebviewById("community-detail"),"addReply",data);
					mui.back();
				} else {
					console.log(JSON.stringify(data));
					plus.nativeUI.alert(data.fail_desc, function() {}, '壹块过');
				}
			});
		}
	});
});