var deps = ['H5PModules/Ajax','H5PModules/Storage','H5PModules/ValiLogin','H5PModules/Share','../libs/mui.min', '../libs/jquery.min'];

define(deps, function(Ajax,Storage,valiLogin,Share) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		Share.init();
		var self = plus.webview.currentWebview();
		var parent = self.parent();
		var opts = parent.opts;
		var certName = parent.certName;
		
		Ajax.send('AppServer/jobCert/findCert.do', opts, function(data) {
			if (data.success) {
				if (data.list.length == 0) {
					return;
				}
				$('.absCtn>.title').text(data.list[0].name);
				$('#info').prepend(data.list[0].examTipinfo);
				$('#info').find('a').each(function() {
					var href = $(this).attr('href');
					$(this).removeAttr('href');
					$(this).data('link', href);
				});
			} else {
				plus.nativeUI.alert('获取失败!', function() {
					mui.back();
				}, '壹块过');
			}
			plus.nativeUI.closeWaiting();
		});

		$('#info').on('tap', 'a', function() {
			var urlStr = $(this).data('link');
			mui.openWindow({
				url: '../pages/p-web.html',
				id: 'web',
				extras: {
					urlStr: urlStr
				}
			});
		});
		
		
		//分享
		$('#ctn').on('tap', '.shareBtn', function(){
			var $self = $(this);
			if(valiLogin()){
				processShare($self);
			}
		});

		function processShare($self) {
			var user = Storage.getObj("user");
			var serverPath = plus.storage.getItem('serverPath');
			var type = $self.data('type');
			var view = $self.data('view');
			//“sinaweibo”表示新浪微博、“tencentweibo”表示腾讯微博、“weixin”表示微信、“qq”表示腾讯QQ。
			var infoList = {
				title: '壹块过 - 考试信息',
				content: opts.areaName + " - " + certName + " - 考试信息",
				href: serverPath + '/AppServer/jobCert/findCertExamination.do?certId=' + opts.certId + "&memberId=" + user.id + '&areaName=' + encodeURI(opts.areaName) + "&time=" + new Date().getTime()
			};
			if (type == 'weixin') {
				infoList.extra = {
					scene: view
				};
			}
			plus.nativeUI.showWaiting();
			setTimeout(function() {
				plus.nativeUI.closeWaiting();
			}, 1000);
			Share.shareAction(type, infoList);

		}


	});
});