var deps = ['H5PModules/Ajax', '../libs/template','H5PModules/ValiLogin','HTMLs',
'../libs/mui.min', '../libs/jquery.min'];

define(deps, function(Ajax, template, valiLogin,HTMLs) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		var self = plus.webview.currentWebview();
		var parent = self.parent();
		var opts = parent.opts;

		Ajax.send('AppServer/tpackage/findPackOfArea.do', opts, function(data) {
			if (data.success) {
				if(data.list.length == 0){
					$('#list-ctn').html(HTMLs.empty);
				}else{
					var html = template('list-tp', data);
					$('#list-ctn').html(html);
				}
			} else {
				$('#list-ctn').html(HTMLs.empty);
			}
			plus.nativeUI.closeWaiting();
		});

		$('#list-ctn').on('tap', '.list-item', function() {
			if (valiLogin()) {
				var opts = {
					id: $(this).data('id')
				};
				mui.openWindow({
					url: '../pages/p-bank-detail.html',
					id: 'bank-detail',
					extras: {
						opts: opts
					}
				});
			}
		});
	});
});