var deps = ['H5PModules/Ajax','H5PModules/Storage', '../libs/template', 'H5PModules/ValiLogin',
'../libs/mui.min', '../libs/jquery.min', '../libs/swiper/js/swiper.min'];

define(deps, function(Ajax, Storage, template,ValiLogin) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		var self = plus.webview.currentWebview();
		var parent = self.parent();
		var opts = parent.opts;
		
		//模版自定义
		template.helper('$num2star', function(n) {
			var num = parseInt(n);
			var result = '';
			for (var i = 0; i < num; i++) {
				result += '<img height="18" src="../img/common/blueStar.png" />';
			}
			if(num<5){
				var left = 5 - num;
				for (var i = 0; i < left; i++) {
					result += '<img height="18" src="../img/common/blueStar2.png" />';
				}
			}
			return result;
		});
		template.helper('$formatColor',function(i){
			var r = (i+1) % 3;
			var result;
			if(r == 1){
				result = 'light';
			}else if(r == 2){
				result = 'middle';
			}else if(r == 0){
				result = 'dark';
			}
			return result;
		});

		Ajax.send('AppServer/jobCert/findCertSummarize.do', {
			id: opts.certId,
			areaName: opts.areaName
		}, function(data) {
			if (data.success) {
				//存到Storage给其他页面使用,不需要重新拉取
				Storage.setObj('zsData',data);
				var html = template('tp', data);
				$('#absCtn').html(html);

				var swiper = new Swiper('.swiper-container', {
					pagination: '.swiper-pagination'
				});
			} else {

			}
			plus.nativeUI.closeWaiting();
		});

		$("#absCtn").on('tap', '.tiku', function() {
			var opts = {
				id: $(this).data('id')
			};
			if(ValiLogin()){
				mui.openWindow({
					url: '../pages/p-bank-detail.html',
					id: 'bank-detail',
					extras: {
						opts: opts
					}
				});
				
			}
			
		});

	});
});