var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template', 'H5PModules/Share',
	'H5PModules/ValiLogin', '../libs/mui.min', '../libs/jquery.min', '../libs/RegExps'
];

define(deps, function(Ajax, Storage, template, Share, valiLogin) {
	mui.plusReady(function() {
		var self = plus.webview.currentWebview();

		var user = Storage.getObj("user");
		var serverData = self.serverData;
		var signup;

		$("#submit").on("tap", submitOrder);


		window.addEventListener("payCallback", function(e) {
			var data = e.detail;
			plus.nativeUI.showWaiting("处理中...");
			Ajax.send('AppServer/home/sms.do', {
				smsType: 3, //0:发送 1:匹配 2:删除 3:培训报名
				ordernum: data.msg,
				mobile: signup[0].tel
			}, function(data) {
				console.log(JSON.stringify(data));
				plus.nativeUI.closeWaiting();
				mui.openWindow({
					url: '../pages/p-myAgent.html',
					id: 'myAgent',
					extras:{
						pageTitle:"我的订单"
					}
				});
				setTimeout(function(){
					self.close();
				},1000);
			});
		});

		/**
		 * 提交订单
		 */

		function submitOrder() {
			signup = [{
				memberId: user.id,
				name: $('#orderName').val().trim(),
				tel: $('#mobile').val().trim(),
				identificationNumber: $('#idNumer').val().trim()
			}];

			if (signup[0].tel.trim() == "") {
				plus.nativeUI.alert('请填写手机号码!', function() {}, '壹块过');
			} else if (signup[0].identificationNumber.trim() == "") {
				plus.nativeUI.alert('请填写身份证号码!', function() {}, '壹块过');
			} else if (!RegExps.Mobile.test(signup[0].tel)) {
				plus.nativeUI.alert('手机号格式不正确!', function() {}, '壹块过');
			} else if (!RegExps.IdCard.test(signup[0].identificationNumber)) {
				plus.nativeUI.alert('身份证号码不正确!', function() {}, '壹块过');
			} else {
				var price;
				if (signup[0].tel == "18795959254") {
					price = 0.01;
				} else {
					price = serverData.list.promotionprice;
				}

				var order = {
					productId: serverData.list.id,
					productName: serverData.list.name,
					productType: 3, //产品类型
					price: price,
					tradeCount: 1,
					memberId: user.id,
					orgId: serverData.list.orgId
				};

				//去支付选择页面
				mui.openWindow({
					url: '../pages/p-payChoose.html',
					id: 'payChoose',
					extras: {
						productName: order.productName,
						price: order.price,
						order: order,
						signup: signup
					}
				});

			}
		}

	});
});