define(function() {
	function start(url, callback,statechanged) {
		console.log('Download start:' + url);
			
		var xhr = new plus.net.XMLHttpRequest();
		xhr.onreadystatechange=function(){
			console.log("onreadystatechange: "+xhr.readyState);
			if(xhr.readyState == 4){
				if(xhr.status != 200){
					plus.nativeUI.alert('错误:'+xhr.status, function() {}, '壹块过');
					plus.nativeUI.closeWaiting();
				}else{
					doD(callback,statechanged);
				}
			}
		}
		xhr.open("HEAD", url);
		xhr.send();
		
		
		//开始下载
		function doD(callback,statechanged) {
			var dtask = plus.downloader.createDownload(url, {
				timeout: 10000
			}, function(d, status) {
				if (status == 200) {
					console.log("Download success: " + d.filename);
					callback(d);
				} else {
					console.log("Download failed: " + status);
				}
			});
			dtask.addEventListener("statechanged", function(download, status) {
				if(!!statechanged){
					statechanged(download,status);
				}
			}, false);
			dtask.start();
		}
	}

	return {
		start: start
	};
});