define(['H5PModules/Ajax', 'H5PModules/Storage'], function(Ajax, Storage) {
	//var latitude,longitude,province,city;
	
	document.addEventListener( "plusready", function(){
			plus.geolocation.watchPosition(function(p){
				plus.storage.setItem('latitude',p.coords.latitude.toString());
				plus.storage.setItem('longitude',p.coords.longitude.toString());
//				latitude = p.coords.latitude;
//				longitude = p.coords.longitude;
			});
			
		
	}, false );
	function get(flag) {
		var latitude = plus.storage.getItem('latitude');
		var longitude = plus.storage.getItem('longitude');
		
		if(!latitude || !longitude){
			setTimeout(get,1000);
			return;
		}
		var target = plus.webview.getWebviewById('main');
		var locations = Storage.getObj('location');
		if (!locations || locations.address==undefined || !!flag) {
			console.log('geolocation 1');
			Ajax.send('AppServer/home/location.do', {
				lng: longitude,
				lat: latitude
			}, function(data) {
				var loc = {
					address:{
						city: data.list.city,
						province: data.list.province
					}
				};
				
				Storage.setObj('location', loc);
				mui.fire(target,'changeLocation',data.list.province);
			});
		} else {
			var target = plus.webview.getWebviewById('main');
			mui.fire(target,'changeLocation',locations.address.province);
		}

	}

	return {
		get: get
	};
});