define(['../../libs/underscore-1.8.2'], function() {
	window.shares = null;

	function init() {
		plus.share.getServices(function(s) {
			shares = s;
		}, function(e) {
			plus.nativeUI.alert("获取分享服务列表失败：" + e.message,function(){
			},'壹块过');
		});
	}

	//“sinaweibo”表示新浪微博、“tencentweibo”表示腾讯微博、“weixin”表示微信、“qq”表示腾讯QQ。
	function shareAction(type,infoObj) {
		var s = _.find(shares, function(obj) {
			return obj.id == type;
		});
		if (!s) {
			return;
		}
		if (s.authenticated) {
			shareMessage(s,infoObj);
		} else {
			s.authorize(function(e) {
				shareMessage(s,infoObj);
			});
		}
	}

	function shareMessage(s, infoObj) {
		//  attribute String content;
		//	attribute String[] thumbs;
		//	attribute String[] pictures;
		//	attribute String href;
		//	attribute String title;
		//	attribute JSON extra;
		//	attribute GEOPosition geo;
		infoObj.thumbs=["_www/logo.png"];
		s.send(infoObj, function() {
			plus.nativeUI.alert("分享成功！",function(){
			},'壹块过');
		}, function(e) {
			console.log(e.message)
		});
	}

	return {
		init: init,
		shareAction: shareAction
	};



});