/**
 * 图片压缩和上传
 * 依赖:文件上传模块
 */
define(['H5PModules/Ajax','H5PModules/Upload'],function(Ajax,Upload) {
	/**
	 * 后台接受的字段
	 * @param {Object} key
	 */
	//Ajax.serverUrl + '/AppServer/home/uploadImage.do'
	function galleryImg(url,key,callback) {
			// 从相册中选择图片
			console.log("从相册中选择图片:");
			plus.gallery.pick(function(path) {
				console.log(path);
				plus.nativeUI.showWaiting('图片上传中...');
				compressImage(path, '_doc/temp.jpg', function(path2) {
					Upload.start(url, path2, key, function(obj) {
						console.log('图片上传接口:'+obj.responseText);
						plus.nativeUI.closeWaiting();
						callback(JSON.parse(obj.responseText),path);
					},function(obj){
						plus.nativeUI.closeWaiting();
						plus.nativeUI.alert('上传失败!',function(){},'壹块过');
					});
				});
			}, function(e) {
				console.log("取消选择图片");
				plus.nativeUI.closeWaiting();
			}, {
				filter: "image"
			});
		}
		//压缩图片

	function compressImage(src, dst, callback) {
		plus.zip.compressImage({
			src: src,
			dst: dst,
			quality: 100,
			format:"jpg",
			overwrite:true,
			width:'1000px'
		}, function() {
			console.log("Compress success!");
			callback(dst);
		}, function(error) {
			console.log("Compress error!" + JSON.stringify(error));
		});
	}
	
	return {
		galleryImg:galleryImg
	};
});