var deps = ['H5PModules/Ajax', 'H5Modules/TemplateHelper', 'H5PModules/Storage', 'H5PModules/ValiLogin',
	'../libs/mui.min', '../libs/jquery.min'
];
define(deps, function(Ajax, template, Storage, valiLogin) {
	mui.plusReady(function() {
		window.addEventListener("dorefresh", function() {
			$("*").off("tap");
			READY2INIT();
		});
		READY2INIT();
	});
	
	
	function READY2INIT(){
		var user = Storage.getObj("user");
		$("#upload").on("tap", function() {
			if (valiLogin()) {
				mui.openWindow({
					url: "../pages/p-myCertificates-upload.html",
					id: "myCertificates-upload"
				});
			}
		});
		$("#listCtn").on("tap", ".item", function() {
			var status = $(this).data("status");
			var id = $(this).data("id");
			
			if(status == 1 || status == 3){
				plus.nativeUI.alert("审核通过才可以晒证", function() {}, '壹块过');
				return;
			}
			if(status == 4){
				plus.nativeUI.alert("已经晒过此证书", function() {}, '壹块过');
				return;
			}
			var rpath = $(this).data("rpath");
			var arr = rpath.split("/");
			var imgName = arr[arr.length-1];
			
			mui.openWindow({
				url:"../pages/p-myCertificates-post.html",
				id:"myCertificates-post",
				extras:{
					imgName:imgName,
					myCertId : id
				}
			});
			
		});

		Ajax.send("AppServer/memberCert/findMemberCertList.do", {
			memberId: user.id,
			publishType: 1 //1、已有证书
		}, function(data) {
			if (data.success) {
				var html = template("certListTp", data);
				$("#listCtn").append(html);
			} else {
				console.log(JSON.stringify(data));
			}
		});

	
	}
});