var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template', 'H5PModules/ValiLogin',
	'../libs/mui.min', '../libs/jquery.min'
];
define(deps, function(Ajax, Storage, template, valiLogin) {
	mui.plusReady(function() {
		window.addEventListener("dorefresh", function() {
			$("*").off("tap");
			READY2INIT();
		});
		READY2INIT();
	});
	
	
	function READY2INIT(){
		var self = plus.webview.currentWebview();
		var user = Storage.getObj('user');
		$("#submit").on("tap", function() {
			var content = $("#content").val();
			var imgs = self.imgName;
			postCert(content, imgs);
		});


		function postCert(content, imgs) {
			plus.nativeUI.showWaiting("提交中...");

			Ajax.send("bbs/tops/addTops.do", {
				content: content,
				sectionId: 6, //这个是板块id
				imgs: imgs,
				userId: user.id
			}, function(data) {
				if (data.ret_code == 0) {
					updateState(self.myCertId, content, 4, function() {
						plus.nativeUI.closeWaiting();
						var comV = plus.webview.getWebviewById("myCertificates-com");
						var gotV = plus.webview.getWebviewById("myCertificates-got");
						if(gotV){
							mui.fire(gotV,"dorefresh");
						}
						if (comV) {
							mui.fire(comV,"dorefresh");
							mui.fire(plus.webview.getWebviewById("myCertificates"),"changeCom");
						}
						plus.nativeUI.alert("操作成功!", function() {
							self.close();
						}, '壹块过');
					});
				} else {
					console.log(JSON.stringify(data));
					plus.nativeUI.alert(data.fail_desc, function() {}, '壹块过');
				}
			});


		}


		function updateState(id, content, state, callback) {
			Ajax.send("AppServer/memberCert/updateMemberCert.do", {
				id: id,
				description: content,
				state: state
			}, function(data) {
				callback();
			});
		}
	
	}
});