var deps = ['H5PModules/Ajax', 'H5PModules/Storage', '../libs/template','HTMLs','H5PModules/ValiLogin',
	'../libs/mui.min', '../libs/jquery.min'
];

define(deps, function(Ajax, Storage, template, HTMLs,valiLogin) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		var user = Storage.getObj('user');
		Ajax.send('AppServer/member/careList.do', {
			memberId: user.id,
			careType: 1 //1机构,2证书
		}, function(data) {
			if (data.success && data.list.length > 0) {
				var html = template('list-ct', data);
				$('#list-ctn').html(html);
			} else {
				$('#list-ctn').html(HTMLs.empty_goFind("去找证"));
			}
			plus.nativeUI.closeWaiting();
		});
		
		
		
		$("#list-ctn").on('tap', '#goFind', function() {
			mui.fire(plus.webview.getLaunchWebview(),"change2find");
			mui.back();
		});

		$("#list-ctn").on('tap', '.list-item', function() {
			var orgId = $(this).data('id');
			if (valiLogin()) {
				mui.openWindow({
					url: '../pages/p-find-detail-list-jigou-detail.html',
					id: 'find-detail-list-jigou-detail',
					extras: {
						orgId: orgId
					}
				});
			}
		});

	});
});