var deps = ['H5PModules/Ajax', 'H5Modules/TemplateHelper', 'H5PModules/Storage',
	'../libs/mui.min', '../libs/jquery.min'
];
define(deps, function(Ajax, template, Storage) {
	mui.plusReady(function() {
		window.addEventListener("dorefresh", function() {
			$("*").off("tap");
			READY2INIT();
		});
		READY2INIT();		
	});
	
	function READY2INIT(){
		var self = plus.webview.currentWebview();
		var ordernum = self.ordernum;
		var user = Storage.getObj('user');
		var serverData;
		
		getData(ordernum);
		$("#list").on("tap",'#goEdit',function(){
			goOrderEdit(serverData.list.signup);
		});
		
		function getData(ordernum){
			plus.nativeUI.showWaiting();
			Ajax.send("AppServer/order/findOrderDetail.do",{
				ordernum:ordernum
			},function(data){
				plus.nativeUI.closeWaiting();
				serverData = data;
				var html = template("list-tp",data);
				$("#list").html(html);
			});
			
		}
		
		
		//去修改页面
		function goOrderEdit(orderList) {
			mui.openWindow({
				url: '../pages/p-orderEdit.html',
				id: 'orderEdit',
				extras: {
					orderList: orderList
				}
			});
		}
		
	
	}
});