var deps = ['H5PModules/Storage', 'H5PModules/AuthLogin', 'Update','../libs/mui.min',
	'../libs/jquery.min'
];

define(deps, function(Storage, AuthLogin,Update) {
	mui.plusReady(function() {
		var user = Storage.getObj('user');
		if (user == null) {
			$('#doLogout').hide();
		} else {
			$('#doLogout').show();
		}
		//注销
		$('#doLogout').on('tap', function() {
			plus.nativeUI.confirm("确认注销?", function(r) {
				console.log(r.index);
				if (r.index == 0) {
					AuthLogin.logoutAll();
					plus.storage.removeItem('user');
					mui.fire(plus.webview.getWebviewById('userCenter'),"dorefresh");
					mui.back();
				}
			}, "壹块过");
		});

		//关于我们
		$('#aboutUs').on('tap', function() {
			mui.openWindow({
				url: '../pages/p-aboutUs.html',
				id: 'about-us',
				extras: {}
			});
		});

		//隐私协议
		$('#license').on('tap', function() {
			mui.openWindow({
				url: '../pages/p-license.html',
				id: 'license',
				extras: {}
			});
		});
		
		//检查更新
		$('#checkUpdate').on('tap',function(){
			plus.nativeUI.showWaiting();
			Update.check(function(status){
				if(status != 2){
					plus.nativeUI.alert('已经是最新版本!', function() {}, '壹块过');
				}
				plus.nativeUI.closeWaiting();
			});
		});
		
		$('#clearAll').on('tap',function(){
			plus.nativeUI.confirm("[危险操作!]确定清除所有数据?", function(r) {
				if (r.index == 0) {
					plus.nativeUI.showWaiting();
					plus.storage.clear();
					plus.nativeUI.closeWaiting();
					plus.nativeUI.alert('操作成功!', function() {
						plus.runtime.restart();
					}, '壹块过');
				}
			}, "壹块过");
		});
		
	});
});