var deps = ['H5PModules/Storage', 'H5Modules/TemplateHelper', '../libs/underscore-1.8.2',
	'../libs/mui.min', '../libs/jquery.min'
];

//需要参数题目id
define(deps, function(Storage, template) {
	mui.plusReady(function() {
		var Storage = require('H5PModules/Storage');
		var user = Storage.getObj('user');
		var self = plus.webview.currentWebview();
		var DataList = self.DataList;
		var question = _.find(DataList, function(obj) {
			return obj.id == self.qid;
		});
		template.helper('$formatXY',function(s){
			var r;
			if(s == 'Y'){
				r = '对';
			}else if(s == 'N'){
				r = '错';
			}else{
				r = s;
			}
			return r;
		});

		renderQuestions(question);
		/**
		 * 渲染题库
		 * @param {Object} index
		 */
		function renderQuestions(question) {
			var html = '';
			if (question.titleType === "0000") {
				html = template('singleSelect-tp', {
					q: question
				});
			} else if (question.titleType === "0001") {
				html = template('multipleSelect-tp', {
					q: question
				});
			} else if (question.titleType === "0002") {
				html = template('decide-tp', {
					q: question
				});
			} else if (question.titleType === "0003") {
				html = template('analysis-tp', {
					q: question
				});
			}
			$('#q-ctn').html(html);
		}


	});
});