define(['../libs/noUiSlider/nouislider.min','../libs/jquery.min'],function(noUiSlider) {
	var limitSlider;
	function init() {
		limitSlider = document.getElementById('slider-limit');
		noUiSlider.create(limitSlider, {
			start: [1000, 200000],
			//		limit: 40,
			step: 1000,
			behaviour: 'drag',
			connect: true,
			range: {
				'min': 3000,
				'max': 200000
			}
		});
		limitSlider.noUiSlider.on('update', function(values, handle) {
			var v = limitSlider.noUiSlider.get();
			$('#avgYearSalaryMin').text(parseInt(v[0]));
			$('#avgYearSalaryMax').text(parseInt(v[1]));
		});
	}

	return {
		init:init,
		getValue: function() {
			return limitSlider.noUiSlider.get();
		}
	};

});