var deps = ['H5PModules/Ajax', 'H5PModules/Storage', 'H5Modules/TemplateHelper','H5PModules/Share',
	'../libs/mui.min', '../libs/jquery.min'
];
define(deps, function(Ajax, Storage, template, Share) {
	mui.plusReady(function() {
		Share.init();
		var user = Storage.getObj('user');
		var self = plus.webview.currentWebview();
		var examResult = self.examResult;
		var DataList = self.DataList;
		var q_error = self.q_error;
		var q_right = self.q_right;
		$('#username').text(examResult.username);
		$('#score').text(examResult.score);
		$('#time').text(examResult.usedTime);

		var headimg;
		if (!user.headPath) {
			headimg = "";
		} else if (user.headPath.toLowerCase().indexOf("http://") == -1) {
			headimg = Ajax.serverUrl + user.headPath;
		} else {
			headimg = user.headPath;
		}
		$('#headimg').attr('src', headimg);

		events();

		setTimeout(function() {
			if (plus.webview.getWebviewById('questions')) {
				plus.webview.getWebviewById('questions').close();
			}
		}, 1000);
		
		
		//处理分享
		function processShare($self) {
			var serverPath = plus.storage.getItem('serverPath');
			var type = $self.data('type');
			var view = $self.data('view');
			//“sinaweibo”表示新浪微博、“tencentweibo”表示腾讯微博、“weixin”表示微信、“qq”表示腾讯QQ。
			var infoList = {
				title: '壹块过 - 考试结果',
				content: examResult.examName + " - 考试结果",
				href: serverPath + '/AppServer/memberExam/findMemberExamResult.do?id=' + self.resultId + "&memberId=" + user.id + "&time=" + new Date().getTime()
			};
			if (type == 'weixin') {
				infoList.extra = {
					scene: view
				};
			}
			plus.nativeUI.showWaiting();
			setTimeout(function() {
				plus.nativeUI.closeWaiting();
			}, 1000);
			Share.shareAction(type, infoList);

		}


		/**
		 * 渲染题目的目录
		 */
		function renderIndex(data) {
			var indexArray = [];
			var indexHtml = template('question_index_tp', {
				list: data
			});
			$('#question_index').html(indexHtml);
		}

		function setColor(q_error, q_right) {
			var totalN = DataList.length;
			var rightN = q_right.length;
			var errorN = q_error.length;
			$('#r_e_count_div .right').text(rightN);
			$('#r_e_count_div .error').text(errorN);
			$('#r_e_count_div .unknow').text(totalN - errorN - rightN);
			var $divs = $('#question_index .span6>div');
			$divs.each(function() {
				var id = $(this).data('id');
				if (q_error.indexOf(id) != -1) {
					$(this).addClass('error');
				}
				if (q_right.indexOf(id) != -1) {
					$(this).addClass('success');
				}
			});
		}

		function events() {
			var $question_index = $('#question_index');
			var height = $question_index.height();
			$('.watch').on('tap', function() {
				mui.openWindow({
					url: '../pages/p-questions-errors.html',
					id: 'questions-errors',
					extras: {
						DataList: DataList,
						q_error: q_error,
						q_right: q_right
					}
				});
			});
			
			//分享
			$('#shareBtns .span3>img').on("tap",function(){
				var $self = $(this);
				processShare($self);
			});

		}
	});
});