var deps = ['H5PModules/Storage', 'H5Modules/TemplateHelper', 'HTMLs','../libs/mui.min',
	'../libs/jquery.min'
];

define(deps, function(Storage,template,HTMLs) {
	mui.plusReady(function() {
		plus.nativeUI.showWaiting('加载中...');
		var user = Storage.getObj('user');
		var self = plus.webview.currentWebview();
		var activeId = self.activeId;
		var bankId = plus.storage.getItem('NowBank-' + user.id);
		var subjectsObj = Storage.getObj('Bank-' + user.id + '-' + bankId + '-subjects');
		if (subjectsObj == null) {
			plus.nativeUI.alert('还未选择题库或题库无效!', function() {}, "壹块过");
			mui.back();
			return;
		}
		var subjects = subjectsObj.subjects;

		render();
		events();

		function render() {
			if (subjects == null) {
				plus.nativeUI.alert('读取失败!', function() {}, "壹块过");
			} else {
				var subject = null;
				for (var i = 0; i < subjects.length; i++) {
					if (subjects[i].id == activeId) {
						subject = subjects[i];
						break;
					}
				}
				if (subject.knowledges.length > 0) {
					var html = template('sp-list-tp', subject);
					$('#sp-ctn').html(html);
				} else {
					$('#sp-ctn').html(HTMLs.empty);
				}
			}
			plus.nativeUI.closeWaiting();
		}

		function events() {
			$('#sp-ctn').on('tap', '.sp-list', function() {
				var knowledgeCode = $(this).data('code');
				var subjectId = $(this).data('id');
				mui.openWindow({
					url: '../pages/p-questions-pra.html',
					id: 'questions-pra',
					extras: {
						flag: 'subject',
						knowledgeCode: knowledgeCode,
						activeId:activeId,
						subjectId:subjectId
					}
				});
			});

		}
	});
});